'''
Created on Mar-06-2024

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _vector_helper
# VectorHelper


class VectorHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._vector_plotter_helper = None
        self._vector_3d_helper = None
        self._coord_sys_helper = None
        
        self._kwargs = kwargs
        pass

            
    def get_vector_plotter_helper(self):
        if self._vector_plotter_helper is None:
            self._init_vector_plotter_helper(**self._kwargs)
        return self._vector_plotter_helper
        pass

    def _init_vector_plotter_helper(self, **kwargs):  
        from ._vector_plotter_helper import VectorPlotterHelper
        self._vector_plotter_helper = VectorPlotterHelper(**kwargs) 
        pass

    def get_vector_3d_helper(self):
        if self._vector_3d_helper is None:
            self._init_vector_3d_helper(**self._kwargs)
        return self._vector_3d_helper
        pass

    def _init_vector_3d_helper(self, **kwargs):  
        from ._vector_3d_helper import Vector3dHelper
        self._vector_3d_helper = Vector3dHelper(**kwargs) 
        pass

    def get_coord_sys_helper(self):
        if self._coord_sys_helper is None:
            self._init_coord_sys_helper(**self._kwargs)
        return self._coord_sys_helper
        pass

    def _init_coord_sys_helper(self, **kwargs):  
        from ._coord_sys_helper import CoordSysHelper
        self._coord_sys_helper = CoordSysHelper(**kwargs) 
        pass

   
    pass
#class VectorHelper:
